#include <bits/stdc++.h>
using namespace std;
int n,m;
vector<int> a(100000,0);
vector<pair<int,int>> ljudi(100000, {0,0});//prijatelji && neprijatelji
int sgn(int t){
	return (t>0 ? 1:0);
}
int main(){
	cin >> n >> m;
	for(int i=0;i<n;i++)cin >> a[i];
	int u1,u2;
	for(int i=0;i<m;i++){
		cin >> u1 >> u2;
		u1--;
		u2--;
		int p1=a[u1];
		int p2=a[u2];
		int w;
		if(p1*p2>0)w=sgn(p1);
		else if(p1*p2<0){
			if(abs(p1)>abs(p2))w=sgn(p1);
			else w=sgn(p2);
		}else{
			if(p1!=0)w=sgn(p1);
			else w=sgn(p2);
		}
		if(w){
			ljudi[u1].first++;
			ljudi[u2].first++;
		}else{
			ljudi[u1].second++;
			ljudi[u2].second++;
		}
	}
	int res=0;
	for(int i=0;i<n;i++){
		res+=a[i]*(ljudi[i].first-ljudi[i].second);
	}
	cout<<res<<endl;
	return 0;
}